FROM node:12 as builder
WORKDIR /opt/app
COPY . .

RUN npm i
RUN npm run build -- --prod

FROM nginx:latest

COPY ./config/default.conf /etc/nginx/conf.d/default.conf

COPY --from=builder /opt/app/dist/myAHFront /usr/share/nginx/html


